{
  inputs.paste = {
    path = "../../paste";
    type = "path";
  };
  inputs.my-lib = {
    path = "../../lib";
    type = "path";
  };
  inputs.nix-lib.url = "github:NixOS/nixpkgs";

  description = "Private configuration for paste";
  outputs = { self, my-lib, nix-lib, paste }:
    let
      cfg = name': { config, lib, pkgs, name, ... }: {
        imports = [
          (my-lib.lib.withNarKey paste "nixosModule")
        ];
        config = lib.mkIf (name == name') {
          services.paste = {
            enable = true;
            webDirectory = "/paste";
          };
        };
      };
    in
      paste.outputs //
      { nixosModules = paste.nixosModules or {} // nix-lib.lib.genAttrs ["eldiron"] cfg; };
}

