let
  flakeCompat = import ../lib/flake-compat.nix;
  flakeLib = (flakeCompat ../flakes/lib).lib;
in
{
  myids = (flakeCompat ../flakes/myuids).nixosModule;
  secrets = flakeLib.withNarKeyCompat flakeCompat ../flakes/secrets "nixosModule";
  filesWatcher = flakeLib.withNarKeyCompat flakeCompat ../flakes/files-watcher "nixosModule";

  webstats = ./webapps/webstats;
  diaspora = ./webapps/diaspora.nix;
  etherpad-lite = ./webapps/etherpad-lite.nix;
  mastodon = ./webapps/mastodon.nix;
  mediagoblin = ./webapps/mediagoblin.nix;
  peertube = (flakeCompat ../flakes/peertube).nixosModule;
  fiche = flakeLib.withNarKeyCompat flakeCompat ../flakes/fiche "nixosModule";
  paste = flakeLib.withNarKeyCompat flakeCompat ../flakes/paste "nixosModule";

  opendmarc = flakeLib.withNarKeyCompat flakeCompat ../flakes/opendmarc "nixosModule";
  openarc = flakeLib.withNarKeyCompat flakeCompat ../flakes/openarc "nixosModule";

  duplyBackup = ./duply_backup;
  rsyncBackup = flakeLib.withNarKeyCompat flakeCompat ../flakes/rsync_backup "nixosModule";
  naemon = ./naemon;

  php-application = ./websites/php-application.nix;
  zrepl = ./zrepl.nix;
  websites = ./websites;
} // (if builtins.pathExists ./private then import ./private else {})
