let
  flakeCompat = import ../lib/flake-compat.nix;
  flakes = builtins.foldl' (a: b: a // b) {} (map (n: (flakeCompat n).overlays) [
    ../flakes/backports
    ../flakes/openarc
    ../flakes/opendmarc
    ../flakes/peertube
    ../flakes/private/peertube
  ]);
in flakes // {
  mylibs = self: super: { mylibs = import ../lib { pkgs = self; }; };
  mypkgs = self: super: import ../pkgs { pkgs = self; };

  bitlbee = import ./bitlbee;
  bitlbee-discord = import ./bitlbee-discord;
  bonfire = import ./bonfire;
  bundix = import ./bundix;
  bugwarrior = import ./bugwarrior;
  dwm = import ./dwm;
  elinks = import ./elinks;
  gitweb = import ./gitweb;
  gitolite = import ./gitolite;
  goaccess = import ./goaccess;
  kanboard = import ./kanboard;
  ledger = import ./ledger;
  lesspipe = import ./lesspipe;
  mysql = import ./databases/mysql;
  neomutt = import ./neomutt;
  nixops = import ./nixops;
  pass = import ./pass;
  pelican = import ./pelican;
  php-packages = import ./php-packages;
  postfix = import ./postfix;
  postgresql = import ./databases/postgresql;
  procps-ng = import ./procps-ng;
  sc-im = import ./sc-im;
  shaarli = import ./shaarli;
  slrn = import ./slrn;
  taskwarrior = import ./taskwarrior;
  vcsh = import ./vcsh;
  weechat = import ./weechat;
  ympd = import ./ympd;
  doing = import ./doing;
  khal = import ./khal;
  nix-direnv = import ./nix-direnv;
  morph = import ./morph;
}
// import ./python-packages
