{ pkgs ? import <nixpkgs> {} }:
with pkgs;

stdenv.mkDerivation rec {
  pname = "proftpd";
  version = "1.3.7c";
  src = fetchurl {
    url = "https://github.com/proftpd/proftpd/archive/refs/tags/v${version}.tar.gz";
    sha256 = "1nh02j00ly814fk885wn9zx1lb63cqd8qv3mgz719xkckf5rcw3h";
  };
  postPatch = ''
    sed -i -e "s@/usr/bin/file@${file}/bin/file@" configure
  '';
  dontDisableStatic = 1;
  configureFlags = "--enable-openssl --with-modules=mod_ldap:mod_sftp:mod_tls --with-includes=${libsodium.dev}/include --with-libraries=${libsodium}/lib";
  preInstall = ''
    installFlagsArray=(INSTALL_USER=$(id -u) INSTALL_GROUP=$(id -g))
  '';
  buildInputs = [ openssl libsodium ncurses cyrus_sasl openldap pkg-config ];
  postInstall = ''
    rmdir $out/var $out/libexec $out/lib/proftpd $out/share/locale
  '';
}
